using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CogArtTech.Music.Library;
using CogArtTech.Music.Library.Lists;

namespace CogArtTech.Music.WebApp
{
    public partial class InstrumentDetail : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!IsPostBack)
            {
                BindList();
            }
        }

        protected void btnAdd_Click(object sender, EventArgs e)
        {
            Instrument instrument = InstrumentsList.NewInstrument();
            instrument.Description = txtInstrumentName.Text;
            InstrumentsList list = InstrumentsList.GetList();
            list.Add(instrument);
            list.Save();
            lblSaved.Visible = true;

            BindList();
        }

        private void BindList()
        {
            lstInstrument.DataSource = InstrumentsList.GetList();
            lstInstrument.DataTextField = "Description";
            lstInstrument.DataValueField = "Id";
            lstInstrument.DataBind();
        }
    }
}
