using System;
using CogArtTech.Music.Library;
using CogArtTech.Music.Library.Lists;

namespace CogArtTech.Music.WebApp
{
    public partial class SongDetail : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!IsPostBack)
            {
                BindList();
            }
        }

        protected void btnAddSong_Click(object sender, EventArgs e)
        {
            Song song = SongsList.NewSong(txtSongTitle.Text, Convert.ToInt32(txtSongRunTime.Text));
            SongsList list = SongsList.GetList();
            list.Add(song);
            list.Save();
            lblSaved.Visible = true;

            BindList();
        }

        private void BindList()
        {
            lstSongs.DataSource = SongsList.GetList();
            lstSongs.DataTextField = "Name";
            lstSongs.DataValueField = "Id";
            lstSongs.DataBind();
        }
    }
}